Get Discount Info
curl --request GET \
--url https://api.discountdrugnetwork.com/api/Drug/DiscountInfo \
--header 'x-ddn-client-key: <api-key>'import requests
url = "https://api.discountdrugnetwork.com/api/Drug/DiscountInfo"
headers = {"x-ddn-client-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-ddn-client-key': '<api-key>'}};
fetch('https://api.discountdrugnetwork.com/api/Drug/DiscountInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groupId": "<string>",
"cardholderID": "<string>",
"rxBIN": "<string>",
"rxPCN": "<string>"
}Search
Get Discount Info
Use this endpoint to retrieve information about available discounts for a specified group.
GET
/
api
/
Drug
/
DiscountInfo
Get Discount Info
Endpoint
GET https://api.discountdrugnetwork.com/api/Drug/DiscountInfo
Input Parameters
string
required
Reference back to the requested group ID.
Response
string
Reference to the requested group ID.
string
The new cardholder identifier.
string
The BIN assigned to the group ID.
string
The PCN assigned to the group ID.
Authorizations
Query Parameters
Reference back to the requested group ID.
